diff --git a/pixman/pixman-arma64-neon-asm-bilinear.S b/pixman/pixman-arma64-neon-asm-bilinear.S
index 31d103d1d94462ad8fb3d9319bef2e81cce2eee2..20723a0314086173a08c7d531a3ad19a5c7274a1 100644
--- a/pixman/pixman-arma64-neon-asm-bilinear.S
+++ b/pixman/pixman-arma64-neon-asm-bilinear.S
@@ -829,11 +791,11 @@ pixman_asm_function fname
     .unreq    TMP3
     .unreq    TMP4
     .unreq    STRIDE
-.if ((flags) & BILINEAR_FLAG_USE_MASK) != 0
+.if ((\flags) & BILINEAR_FLAG_USE_MASK) != 0
     .unreq    MASK
 .endif
 
-.endfunc
+pixman_end_asm_function
 
 .endm
 
@@ -1013,10 +975,10 @@ pixman_asm_function fname
     xtn         v7.8b, v2.8h
     ld1         {v2.2s, v3.2s}, [OUT]
     prfm        PREFETCH_MODE, [OUT, #(prefetch_offset * 4)]
-    vuzp        v6.8b, v7.8b
-    vuzp        v2.8b, v3.8b
-    vuzp        v6.8b, v7.8b
-    vuzp        v2.8b, v3.8b
+    vuzp         v6.8b, v7.8b
+    vuzp         v2.8b, v3.8b
+    vuzp         v6.8b, v7.8b
+    vuzp         v2.8b, v3.8b
     dup         v4.2s, v7.s[1]
     mvn         v4.8b, v4.8b
     umull       v11.8h, v2.8b, v4.8b
@@ -1027,8 +989,8 @@ pixman_asm_function fname
     raddhn      v2.8b, v1.8h, v11.8h
     uqadd       v6.8b, v2.8b,  v6.8b
     uqadd       v7.8b, v3.8b,  v7.8b
-    vuzp        v6.8b, v7.8b
-    vuzp        v6.8b, v7.8b
+    vuzp         v6.8b, v7.8b
+    vuzp         v6.8b, v7.8b
     add         v12.8h, v12.8h, v13.8h
     st1         {v6.2s, v7.2s}, [OUT], #16
 .endm
@@ -1070,10 +1032,10 @@ pixman_asm_function fname
                                             ld1         {v2.2s, v3.2s}, [OUT]
                                             prfm        PREFETCH_MODE, [OUT, PF_OFFS]
     ld1         {v22.2s}, [TMP3], STRIDE
-                                            vuzp        v6.8b, v7.8b
-                                            vuzp        v2.8b, v3.8b
-                                            vuzp        v6.8b, v7.8b
-                                            vuzp        v2.8b, v3.8b
+                                            vuzp         v6.8b, v7.8b
+                                            vuzp         v2.8b, v3.8b
+                                            vuzp         v6.8b, v7.8b
+                                            vuzp         v2.8b, v3.8b
                                             dup         v4.2s, v7.s[1]
     ld1         {v23.2s}, [TMP3]
                                             mvn         v4.8b, v4.8b
@@ -1096,9 +1058,9 @@ pixman_asm_function fname
     prfm        PREFETCH_MODE, [TMP4, PF_OFFS]
     umull       v11.8h, v16.8b, v28.8b
     umlal       v11.8h, v17.8b, v29.8b
-                                            vuzp        v6.8b, v7.8b
+                                            vuzp         v6.8b, v7.8b
     ushll       v1.4s, v9.4h, #BILINEAR_INTERPOLATION_BITS
-                                            vuzp        v6.8b, v7.8b
+                                            vuzp         v6.8b, v7.8b
     umlsl       v1.4s, v9.4h, v15.h[4]
                                             add         v12.8h, v12.8h, v13.8h
     umlal2      v1.4s, v9.8h, v15.h[4]
